TrcMemAccCB Class Reference

`#include <trc_mem_acc_cb.h>`

Inheritance diagram for TrcMemAccCB:
[legend]
Collaboration diagram for TrcMemAccCB:
[legend]

## Public Member Functions

| TrcMemAccCB (const ocsd_vaddr_t s_address, const ocsd_vaddr_t e_address, const ocsd_mem_space_acc_t mem_space)
virtual | ~TrcMemAccCB ()
virtual const uint32_t | readBytes (const ocsd_vaddr_t address, const ocsd_mem_space_acc_t memSpace, const uint8_t trcID, const uint32_t reqBytes, uint8_t *byteBuffer)
void | setCBIfClass (TrcMemAccCBIF *p_if)
void | setCBIfFn (Fn_MemAcc_CB p_fn, const void *p_context)
void | setCBIDIfFn (Fn_MemAccID_CB p_fn, const void *p_context)
Public Member Functions inherited from TrcMemAccessorBase
| TrcMemAccessorBase (MemAccTypes type)
| TrcMemAccessorBase (MemAccTypes type, ocsd_vaddr_t startAddr, ocsd_vaddr_t endAddr)
virtual | ~TrcMemAccessorBase ()
void | setRange (ocsd_vaddr_t startAddr, ocsd_vaddr_t endAddr)
virtual const bool | addrInRange (const ocsd_vaddr_t s_address) const
virtual const bool | addrStartOfRange (const ocsd_vaddr_t s_address) const
virtual const uint32_t | bytesInRange (const ocsd_vaddr_t s_address, const uint32_t reqBytes) const
virtual const bool | overLapRange (const TrcMemAccessorBase *p_test_acc) const
virtual const bool | validateRange ()
enum MemAccTypes | getType () const
void | setMemSpace (ocsd_mem_space_acc_t memSpace)
const ocsd_mem_space_acc_t | getMemSpace () const
const bool | inMemSpace (const ocsd_mem_space_acc_t mem_space) const
virtual void | getMemAccString (std::string &accStr) const

## Additional Inherited Members

Public Types inherited from TrcMemAccessorBase
enum | MemAccTypes { MEMACC_UNKNOWN, MEMACC_FILE, MEMACC_BUFPTR, MEMACC_CB_IF }
Protected Attributes inherited from TrcMemAccessorBase
ocsd_vaddr_t | m_startAddress
ocsd_vaddr_t | m_endAddress
const MemAccTypes | m_type
ocsd_mem_space_acc_t | m_mem_space

## Detailed Description

Definition at line 41 of file trc_mem_acc_cb.h.

## Constructor & Destructor Documentation

## TrcMemAccCB()

TrcMemAccCB::TrcMemAccCB | ( | const ocsd_vaddr_t | s_address,
|  | const ocsd_vaddr_t | e_address,
|  | const ocsd_mem_space_acc_t | mem_space
| ) |  |

## ~TrcMemAccCB()

virtual TrcMemAccCB::~TrcMemAccCB | ( |  | ) |

inline virtual

Definition at line 49 of file trc_mem_acc_cb.h.

## Member Function Documentation

## readBytes()

virtual const uint32_t TrcMemAccCB::readBytes | ( | const ocsd_vaddr_t | address,
|  | const ocsd_mem_space_acc_t | memSpace,
|  | const uint8_t | trcID,
|  | const uint32_t | reqBytes,
|  | uint8_t * | byteBuffer
| ) |  |

virtual

Memory access override - allow decoder to read bytes from the buffer.

Implements TrcMemAccessorBase.

## setCBIDIfFn()

void TrcMemAccCB::setCBIDIfFn | ( | Fn_MemAccID_CB | p_fn,
|  | const void * | p_context
| ) |  |

inline

Definition at line 87 of file trc_mem_acc_cb.h.

## setCBIfClass()

void TrcMemAccCB::setCBIfClass | ( | TrcMemAccCBIF * | p_if | ) |

inline

Definition at line 74 of file trc_mem_acc_cb.h.

## setCBIfFn()

void TrcMemAccCB::setCBIfFn | ( | Fn_MemAcc_CB | p_fn,
|  | const void * | p_context
| ) |  |

inline

Definition at line 80 of file trc_mem_acc_cb.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/mem_acc/trc_mem_acc_cb.h